namespace Nadovezivanje
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = System.Console.ReadLine().Split(' ');
            string[] sKombinacije = new string[5];

            string sResenje = s[0] + s[1] + s[2];
            sKombinacije[0] = s[0] + s[2] + s[1];
            sKombinacije[1] = s[1] + s[0] + s[2];
            sKombinacije[2] = s[1] + s[2] + s[0];
            sKombinacije[3] = s[2] + s[0] + s[1];
            sKombinacije[4] = s[2] + s[1] + s[0];

            for(int i = 0; i < sKombinacije.Length; i++) {
                if(sResenje.CompareTo(sKombinacije[i]) < 0) {
                    sResenje = sKombinacije[i];
                }
            }

            System.Console.WriteLine(sResenje);
        }
    }
}